import { ElementType } from 'react';
import { BaseProps, PropsWithoutRef, RangeVariablesEnum } from '../tools';
type Props<T extends ElementType> = BaseProps<T, typeof RangeVariablesEnum> & {
    /**
     * disabled.
     */
    disabled?: boolean;
    /**
     * min.
     */
    min?: string | number;
    /**
     * max.
     */
    max?: string | number;
    /**
     * step.
     */
    step?: string | number;
};
export type RangeProps<T extends ElementType> = PropsWithoutRef<Props<T>, T, typeof RangeVariablesEnum>;
export {};
